{ pkgs, ... }: {
  home = {
    stateVersion = "24.05";
    username = "jonathan";
    homeDirectory = "/home/jonathan";

    packages = with pkgs; [
      element-desktop
      discord-canary
      comma
      (python3.withPackages (pip: with pip; [ numpy matplotlib ]))
      spotify
      firefox
      chromium
      syncthing
      nixfmt
      xdg-utils
      # to copy from the command line (my fish config has an alias `cb` to pipe things to the clipboard)
      wl-clipboard-rs
      prismlauncher
      graphviz-nox

      inkscape
      gimp
      xournalpp
      libreoffice

      dogdns

      jetbrains.rust-rover

      vlc
      audacity
    ];
  };

  imports = [
    ../../programs/gnome
    ../../programs/nvim
    ../../programs/fish
    ../../programs/git
    ../../programs/jj
  ];

  programs.firefox = { enable = true; };
  services.syncthing = { enable = true; };
}
